1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16
17
18pkgdatadir = $(datadir)/parafly
19pkgincludedir = $(includedir)/parafly
20pkglibdir = $(libdir)/parafly
21pkglibexecdir = $(libexecdir)/parafly
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
36	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
37	$(top_srcdir)/configure depcomp install-sh missing
38ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
39am__aclocal_m4_deps = $(top_srcdir)/configure.ac
40am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
41	$(ACLOCAL_M4)
42am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
43 configure.lineno config.status.lineno
44mkinstalldirs = $(install_sh) -d
45CONFIG_HEADER = config.h
46CONFIG_CLEAN_FILES =
47CONFIG_CLEAN_VPATH_FILES =
48SOURCES =
49DIST_SOURCES =
50RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
51	html-recursive info-recursive install-data-recursive \
52	install-dvi-recursive install-exec-recursive \
53	install-html-recursive install-info-recursive \
54	install-pdf-recursive install-ps-recursive install-recursive \
55	installcheck-recursive installdirs-recursive pdf-recursive \
56	ps-recursive uninstall-recursive
57RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
58  distclean-recursive maintainer-clean-recursive
59AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
60	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
61	distdir dist dist-all distcheck
62ETAGS = etags
63CTAGS = ctags
64DIST_SUBDIRS = $(SUBDIRS)
65DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
66distdir = $(PACKAGE)-$(VERSION)
67top_distdir = $(distdir)
68am__remove_distdir = \
69  { test ! -d "$(distdir)" \
70    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
71         && rm -fr "$(distdir)"; }; }
72am__relativize = \
73  dir0=`pwd`; \
74  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
75  sed_rest='s,^[^/]*/*,,'; \
76  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
77  sed_butlast='s,/*[^/]*$$,,'; \
78  while test -n "$$dir1"; do \
79    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
80    if test "$$first" != "."; then \
81      if test "$$first" = ".."; then \
82        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
83        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
84      else \
85        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
86        if test "$$first2" = "$$first"; then \
87          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
88        else \
89          dir2="../$$dir2"; \
90        fi; \
91        dir0="$$dir0"/"$$first"; \
92      fi; \
93    fi; \
94    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
95  done; \
96  reldir="$$dir2"
97DIST_ARCHIVES = $(distdir).tar.gz
98GZIP_ENV = --best
99distuninstallcheck_listfiles = find . -type f -print
100distcleancheck_listfiles = find . -type f -print
101ACLOCAL = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run aclocal-1.11
102AMTAR = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run tar
103AM_CXXFLAGS = -pedantic -fopenmp -Wall -Wextra -Wno-long-long -Wno-deprecated -m64
104AUTOCONF = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run autoconf
105AUTOHEADER = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run autoheader
106AUTOMAKE = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run automake-1.11
107AWK = gawk
108CPPFLAGS =
109CXX = g++
110CXXDEPMODE = depmode=gcc3
111CXXFLAGS = -g -O2
112CYGPATH_W = echo
113DEFS = -DHAVE_CONFIG_H
114DEPDIR = .deps
115ECHO_C =
116ECHO_N = -n
117ECHO_T =
118EXEEXT =
119INSTALL = /broad/software/free/Linux/redhat_6_x86_64/pkgs/coreutils_8.22/bin/install -c
120INSTALL_DATA = ${INSTALL} -m 644
121INSTALL_PROGRAM = ${INSTALL}
122INSTALL_SCRIPT = ${INSTALL}
123INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
124LDFLAGS =
125LIBOBJS =
126LIBS =
127LTLIBOBJS =
128MAKEINFO = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/missing --run makeinfo
129MKDIR_P = /broad/software/free/Linux/redhat_6_x86_64/pkgs/coreutils_8.22/bin/mkdir -p
130OBJEXT = o
131PACKAGE = parafly
132PACKAGE_BUGREPORT = bug-report@address
133PACKAGE_NAME = Parafly
134PACKAGE_STRING = Parafly 0.1
135PACKAGE_TARNAME = parafly
136PACKAGE_VERSION = 0.1
137PATH_SEPARATOR = :
138SET_MAKE =
139SHELL = /bin/sh
140STRIP =
141VERSION = 0.1
142abs_builddir = /home/unix/bhaas/GITHUB/ParaFly
143abs_srcdir = /home/unix/bhaas/GITHUB/ParaFly
144abs_top_builddir = /home/unix/bhaas/GITHUB/ParaFly
145abs_top_srcdir = /home/unix/bhaas/GITHUB/ParaFly
146ac_ct_CXX = g++
147am__include = include
148am__leading_dot = .
149am__quote =
150am__tar = ${AMTAR} chof - "$$tardir"
151am__untar = ${AMTAR} xf -
152bindir = ${exec_prefix}/bin
153build_alias =
154builddir = .
155datadir = ${datarootdir}
156datarootdir = ${prefix}/share
157docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
158dvidir = ${docdir}
159exec_prefix = ${prefix}
160host_alias =
161htmldir = ${docdir}
162includedir = ${prefix}/include
163infodir = ${datarootdir}/info
164install_sh = ${SHELL} /home/unix/bhaas/GITHUB/ParaFly/install-sh
165libdir = ${exec_prefix}/lib
166libexecdir = ${exec_prefix}/libexec
167localedir = ${datarootdir}/locale
168localstatedir = ${prefix}/var
169mandir = ${datarootdir}/man
170mkdir_p = /broad/software/free/Linux/redhat_6_x86_64/pkgs/coreutils_8.22/bin/mkdir -p
171oldincludedir = /usr/include
172pdfdir = ${docdir}
173prefix = /home/unix/bhaas/GITHUB/ParaFly
174program_transform_name = s,x,x,
175psdir = ${docdir}
176sbindir = ${exec_prefix}/sbin
177sharedstatedir = ${prefix}/com
178srcdir = .
179sysconfdir = ${prefix}/etc
180target_alias =
181top_build_prefix =
182top_builddir = .
183top_srcdir = .
184SUBDIRS = src
185all: config.h
186	$(MAKE) $(AM_MAKEFLAGS) all-recursive
187
188.SUFFIXES:
189am--refresh:
190	@:
191$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
192	@for dep in $?; do \
193	  case '$(am__configure_deps)' in \
194	    *$$dep*) \
195	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
196	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
197		&& exit 0; \
198	      exit 1;; \
199	  esac; \
200	done; \
201	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
202	$(am__cd) $(top_srcdir) && \
203	  $(AUTOMAKE) --foreign Makefile
204.PRECIOUS: Makefile
205Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
206	@case '$?' in \
207	  *config.status*) \
208	    echo ' $(SHELL) ./config.status'; \
209	    $(SHELL) ./config.status;; \
210	  *) \
211	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
212	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
213	esac;
214
215$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
216	$(SHELL) ./config.status --recheck
217
218$(top_srcdir)/configure:  $(am__configure_deps)
219	$(am__cd) $(srcdir) && $(AUTOCONF)
220$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
221	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
222$(am__aclocal_m4_deps):
223
224config.h: stamp-h1
225	@if test ! -f $@; then \
226	  rm -f stamp-h1; \
227	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
228	else :; fi
229
230stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
231	@rm -f stamp-h1
232	cd $(top_builddir) && $(SHELL) ./config.status config.h
233$(srcdir)/config.h.in:  $(am__configure_deps)
234	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
235	rm -f stamp-h1
236	touch $@
237
238distclean-hdr:
239	-rm -f config.h stamp-h1
240
241# This directory's subdirectories are mostly independent; you can cd
242# into them and run `make' without going through this Makefile.
243# To change the values of `make' variables: instead of editing Makefiles,
244# (1) if the variable is set in `config.status', edit `config.status'
245#     (which will cause the Makefiles to be regenerated when you run `make');
246# (2) otherwise, pass the desired values on the `make' command line.
247$(RECURSIVE_TARGETS):
248	@fail= failcom='exit 1'; \
249	for f in x $$MAKEFLAGS; do \
250	  case $$f in \
251	    *=* | --[!k]*);; \
252	    *k*) failcom='fail=yes';; \
253	  esac; \
254	done; \
255	dot_seen=no; \
256	target=`echo $@ | sed s/-recursive//`; \
257	list='$(SUBDIRS)'; for subdir in $$list; do \
258	  echo "Making $$target in $$subdir"; \
259	  if test "$$subdir" = "."; then \
260	    dot_seen=yes; \
261	    local_target="$$target-am"; \
262	  else \
263	    local_target="$$target"; \
264	  fi; \
265	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
266	  || eval $$failcom; \
267	done; \
268	if test "$$dot_seen" = "no"; then \
269	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
270	fi; test -z "$$fail"
271
272$(RECURSIVE_CLEAN_TARGETS):
273	@fail= failcom='exit 1'; \
274	for f in x $$MAKEFLAGS; do \
275	  case $$f in \
276	    *=* | --[!k]*);; \
277	    *k*) failcom='fail=yes';; \
278	  esac; \
279	done; \
280	dot_seen=no; \
281	case "$@" in \
282	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
283	  *) list='$(SUBDIRS)' ;; \
284	esac; \
285	rev=''; for subdir in $$list; do \
286	  if test "$$subdir" = "."; then :; else \
287	    rev="$$subdir $$rev"; \
288	  fi; \
289	done; \
290	rev="$$rev ."; \
291	target=`echo $@ | sed s/-recursive//`; \
292	for subdir in $$rev; do \
293	  echo "Making $$target in $$subdir"; \
294	  if test "$$subdir" = "."; then \
295	    local_target="$$target-am"; \
296	  else \
297	    local_target="$$target"; \
298	  fi; \
299	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
300	  || eval $$failcom; \
301	done && test -z "$$fail"
302tags-recursive:
303	list='$(SUBDIRS)'; for subdir in $$list; do \
304	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
305	done
306ctags-recursive:
307	list='$(SUBDIRS)'; for subdir in $$list; do \
308	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
309	done
310
311ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
312	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
313	unique=`for i in $$list; do \
314	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
315	  done | \
316	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
317	      END { if (nonempty) { for (i in files) print i; }; }'`; \
318	mkid -fID $$unique
319tags: TAGS
320
321TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
322		$(TAGS_FILES) $(LISP)
323	set x; \
324	here=`pwd`; \
325	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
326	  include_option=--etags-include; \
327	  empty_fix=.; \
328	else \
329	  include_option=--include; \
330	  empty_fix=; \
331	fi; \
332	list='$(SUBDIRS)'; for subdir in $$list; do \
333	  if test "$$subdir" = .; then :; else \
334	    test ! -f $$subdir/TAGS || \
335	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
336	  fi; \
337	done; \
338	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
339	unique=`for i in $$list; do \
340	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
341	  done | \
342	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
343	      END { if (nonempty) { for (i in files) print i; }; }'`; \
344	shift; \
345	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
346	  test -n "$$unique" || unique=$$empty_fix; \
347	  if test $$# -gt 0; then \
348	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
349	      "$$@" $$unique; \
350	  else \
351	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
352	      $$unique; \
353	  fi; \
354	fi
355ctags: CTAGS
356CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
357		$(TAGS_FILES) $(LISP)
358	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
359	unique=`for i in $$list; do \
360	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
361	  done | \
362	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
363	      END { if (nonempty) { for (i in files) print i; }; }'`; \
364	test -z "$(CTAGS_ARGS)$$unique" \
365	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
366	     $$unique
367
368GTAGS:
369	here=`$(am__cd) $(top_builddir) && pwd` \
370	  && $(am__cd) $(top_srcdir) \
371	  && gtags -i $(GTAGS_ARGS) "$$here"
372
373distclean-tags:
374	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
375
376distdir: $(DISTFILES)
377	$(am__remove_distdir)
378	test -d "$(distdir)" || mkdir "$(distdir)"
379	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
380	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
381	list='$(DISTFILES)'; \
382	  dist_files=`for file in $$list; do echo $$file; done | \
383	  sed -e "s|^$$srcdirstrip/||;t" \
384	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
385	case $$dist_files in \
386	  */*) $(MKDIR_P) `echo "$$dist_files" | \
387			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
388			   sort -u` ;; \
389	esac; \
390	for file in $$dist_files; do \
391	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
392	  if test -d $$d/$$file; then \
393	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
394	    if test -d "$(distdir)/$$file"; then \
395	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
396	    fi; \
397	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
398	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
399	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
400	    fi; \
401	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
402	  else \
403	    test -f "$(distdir)/$$file" \
404	    || cp -p $$d/$$file "$(distdir)/$$file" \
405	    || exit 1; \
406	  fi; \
407	done
408	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
409	  if test "$$subdir" = .; then :; else \
410	    test -d "$(distdir)/$$subdir" \
411	    || $(MKDIR_P) "$(distdir)/$$subdir" \
412	    || exit 1; \
413	  fi; \
414	done
415	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
416	  if test "$$subdir" = .; then :; else \
417	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
418	    $(am__relativize); \
419	    new_distdir=$$reldir; \
420	    dir1=$$subdir; dir2="$(top_distdir)"; \
421	    $(am__relativize); \
422	    new_top_distdir=$$reldir; \
423	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
424	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
425	    ($(am__cd) $$subdir && \
426	      $(MAKE) $(AM_MAKEFLAGS) \
427	        top_distdir="$$new_top_distdir" \
428	        distdir="$$new_distdir" \
429		am__remove_distdir=: \
430		am__skip_length_check=: \
431		am__skip_mode_fix=: \
432	        distdir) \
433	      || exit 1; \
434	  fi; \
435	done
436	-test -n "$(am__skip_mode_fix)" \
437	|| find "$(distdir)" -type d ! -perm -755 \
438		-exec chmod u+rwx,go+rx {} \; -o \
439	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
440	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
441	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
442	|| chmod -R a+r "$(distdir)"
443dist-gzip: distdir
444	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
445	$(am__remove_distdir)
446
447dist-bzip2: distdir
448	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
449	$(am__remove_distdir)
450
451dist-lzma: distdir
452	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
453	$(am__remove_distdir)
454
455dist-xz: distdir
456	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
457	$(am__remove_distdir)
458
459dist-tarZ: distdir
460	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
461	$(am__remove_distdir)
462
463dist-shar: distdir
464	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
465	$(am__remove_distdir)
466
467dist-zip: distdir
468	-rm -f $(distdir).zip
469	zip -rq $(distdir).zip $(distdir)
470	$(am__remove_distdir)
471
472dist dist-all: distdir
473	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
474	$(am__remove_distdir)
475
476# This target untars the dist file and tries a VPATH configuration.  Then
477# it guarantees that the distribution is self-contained by making another
478# tarfile.
479distcheck: dist
480	case '$(DIST_ARCHIVES)' in \
481	*.tar.gz*) \
482	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
483	*.tar.bz2*) \
484	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
485	*.tar.lzma*) \
486	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
487	*.tar.xz*) \
488	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
489	*.tar.Z*) \
490	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
491	*.shar.gz*) \
492	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
493	*.zip*) \
494	  unzip $(distdir).zip ;;\
495	esac
496	chmod -R a-w $(distdir); chmod u+w $(distdir)
497	mkdir $(distdir)/_build
498	mkdir $(distdir)/_inst
499	chmod a-w $(distdir)
500	test -d $(distdir)/_build || exit 0; \
501	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
502	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
503	  && am__cwd=`pwd` \
504	  && $(am__cd) $(distdir)/_build \
505	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
506	    $(DISTCHECK_CONFIGURE_FLAGS) \
507	  && $(MAKE) $(AM_MAKEFLAGS) \
508	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
509	  && $(MAKE) $(AM_MAKEFLAGS) check \
510	  && $(MAKE) $(AM_MAKEFLAGS) install \
511	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
512	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
513	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
514	        distuninstallcheck \
515	  && chmod -R a-w "$$dc_install_base" \
516	  && ({ \
517	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
518	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
519	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
520	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
521	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
522	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
523	  && rm -rf "$$dc_destdir" \
524	  && $(MAKE) $(AM_MAKEFLAGS) dist \
525	  && rm -rf $(DIST_ARCHIVES) \
526	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
527	  && cd "$$am__cwd" \
528	  || exit 1
529	$(am__remove_distdir)
530	@(echo "$(distdir) archives ready for distribution: "; \
531	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
532	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
533distuninstallcheck:
534	@$(am__cd) '$(distuninstallcheck_dir)' \
535	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
536	   || { echo "ERROR: files left after uninstall:" ; \
537	        if test -n "$(DESTDIR)"; then \
538	          echo "  (check DESTDIR support)"; \
539	        fi ; \
540	        $(distuninstallcheck_listfiles) ; \
541	        exit 1; } >&2
542distcleancheck: distclean
543	@if test '$(srcdir)' = . ; then \
544	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
545	  exit 1 ; \
546	fi
547	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
548	  || { echo "ERROR: files left in build directory after distclean:" ; \
549	       $(distcleancheck_listfiles) ; \
550	       exit 1; } >&2
551check-am: all-am
552check: check-recursive
553all-am: Makefile config.h
554installdirs: installdirs-recursive
555installdirs-am:
556install: install-recursive
557install-exec: install-exec-recursive
558install-data: install-data-recursive
559uninstall: uninstall-recursive
560
561install-am: all-am
562	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
563
564installcheck: installcheck-recursive
565install-strip:
566	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
567	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
568	  `test -z '$(STRIP)' || \
569	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
570mostlyclean-generic:
571
572clean-generic:
573
574distclean-generic:
575	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
576	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
577
578maintainer-clean-generic:
579	@echo "This command is intended for maintainers to use"
580	@echo "it deletes files that may require special tools to rebuild."
581clean: clean-recursive
582
583clean-am: clean-generic mostlyclean-am
584
585distclean: distclean-recursive
586	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
587	-rm -f Makefile
588distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
589
590dvi: dvi-recursive
591
592dvi-am:
593
594html: html-recursive
595
596html-am:
597
598info: info-recursive
599
600info-am:
601
602install-data-am:
603
604install-dvi: install-dvi-recursive
605
606install-dvi-am:
607
608install-exec-am:
609
610install-html: install-html-recursive
611
612install-html-am:
613
614install-info: install-info-recursive
615
616install-info-am:
617
618install-man:
619
620install-pdf: install-pdf-recursive
621
622install-pdf-am:
623
624install-ps: install-ps-recursive
625
626install-ps-am:
627
628installcheck-am:
629
630maintainer-clean: maintainer-clean-recursive
631	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
632	-rm -rf $(top_srcdir)/autom4te.cache
633	-rm -f Makefile
634maintainer-clean-am: distclean-am maintainer-clean-generic
635
636mostlyclean: mostlyclean-recursive
637
638mostlyclean-am: mostlyclean-generic
639
640pdf: pdf-recursive
641
642pdf-am:
643
644ps: ps-recursive
645
646ps-am:
647
648uninstall-am:
649
650.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
651	ctags-recursive install-am install-strip tags-recursive
652
653.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
654	all all-am am--refresh check check-am clean clean-generic \
655	ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
656	dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
657	distclean distclean-generic distclean-hdr distclean-tags \
658	distcleancheck distdir distuninstallcheck dvi dvi-am html \
659	html-am info info-am install install-am install-data \
660	install-data-am install-dvi install-dvi-am install-exec \
661	install-exec-am install-html install-html-am install-info \
662	install-info-am install-man install-pdf install-pdf-am \
663	install-ps install-ps-am install-strip installcheck \
664	installcheck-am installdirs installdirs-am maintainer-clean \
665	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
666	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
667
668
669# Tell versions [3.59,3.63) of GNU make to not export all variables.
670# Otherwise a system limit (for SysV at least) may be exceeded.
671.NOEXPORT:
672